EDIT - bug #8851

display of name facts not appropriate in all cases
02/20/2020 09:16 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal Found in Version:

Description

Hallo,

wir sind bei der Flora von Cuba auf ein Portalausgabeproblem gestof3en, und zwar bei den Name Facts.

Anscheinend werden alle Typen so behandelt wie zusatzliche Nomenklaturreferenzen (siehe Beispiel unten). Das mlsste
geringfligig geadndert werden:

Grundsétzlich fehlt ein Leerzeichen vor der eckigen Klammer
Bei Typ ,Additional publication” kann das ,& “ bleiben, ansonsten misste das weg.

Da wir in der Kuba Flora zahlreiche Hybride und auch alternative Nomenklaturzitate haben, ist diese Bugbehebung dringend —
spéatestens zum Launch des Florenportals beim n&chsten Flora de Cuba meeting in Havanna, 20. April 20.

Das gilt Gbrigens auch fiir den fehlerhaften External Link zu NYBG (dort liegen sehr viele Belege aus Kuba). Ich habe schon selbst
probiert, den zu korrigieren, bekomme das aber irgendwie nicht hin.

Herzlichen Gruf3

Walter
Wenn man eine ,, additional Publication eingibt”:

Alsophila major Caluff & Shelton in Moscosoa 13: 6. 2003[& Dies ist eine neue Referenz].

Tuna- "Halatina- laendrimanl Cnha arov Granma “Pien | 2 Ravamaesa ladara Nacta
und hier wenn man die Hybridformel eingibt:

Alsophila xmedinae Caluff & Shelton in Willdenowia 32: 307. 2002[& Alsophila balanocarpa = Alsophila cubensis].

Tunea- "Hnlntinn- leendriman] Cuha nrov Sanctt Snintue “Arrnun lesiis Nealnadn Cudina Tanes de Callantes

Related issues:
Related to EDIT - task #9265: Adapt dataportal to new protologue handling Closed

Associated revisions

Revision 1¢7c424f - 02/20/2020 09:51 AM - Andreas Kohlbecker

ref #8851 improving display of name facts

Revision €024a603 - 11/30/2020 05:14 PM - Andreas Kohlbecker

ref #8851, ref #9265 improved re-implementation of name desciptions (annotations and sources still pending)

Revision 79bd5456 - 11/30/2020 05:23 PM - Andreas Kohlbecker

ref #8851 adapting test for name desciptions

Revision f06c22c¢7 - 11/30/2020 05:33 PM - Andreas Kohlbecker
ref #8851 adding missing space
Revision 0481145 - 11/30/2020 05:50 PM - Andreas Kohlbecker
ref #8851 adapting side-effected NameRelationshipsTest

Revision c11fa375 - 12/01/2020 02:11 PM - Andreas Kohlbecker

ref #8851 sources and annotations to name descriptions with test

Revision d9fa5913 - 12/01/2020 02:13 PM - Andreas Kohlbecker

ref #8851 extednding init strategy for name descriptions by sources and annotations

Revision 4a70bee8 - 12/03/2020 12:01 PM - Andreas Kohlbecker

ref #8851 adapting test assertions to modified test data

History

#1 - 02/20/2020 10:19 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- % Done changed from 0 to 20

remaining task to do: implement test

#2 - 03/10/2020 10:02 AM - Andreas Kohlbecker

- Target version changed from Release 5.13 to Release 5.14

#3 - 04/08/2020 05:45 PM - Andreas Kohlbecker

- Target version changed from Release 5.14 to Release 5.15

#4 - 06/23/2020 04:17 PM - Andreas Kohlbecker

- Target version changed from Release 5.15 to Release 5.18

#5 - 11/30/2020 03:26 PM - Andreas Kohlbecker
- Related to task #9265: Adapt dataportal to new protologue handling added

#6 - 11/30/2020 04:54 PM - Andreas Kohlbecker
to query for relevant data:
SELECT db.DTYPE, db.id, feature.titleCache, deb.DTYPE, osb.id,

FROM DescriptionBase db
JOIN DescriptionElementBase deb ON deb.indescription_id =

osb.citation_id, r.titleCache, ls. text’

db.id

LEFT JOIN DescriptionElementBase_OriginalSourceBase debosb on debosb.DescriptionElementBase_id = deb.id
LEFT JOIN OriginalSourceBase osb on debosb.sources_id = osb.id

LEFT JOIN DescriptionElementBase_LanguageString debls on deb.id = debls.textdata_id

LEFT JOIN LanguageString ls on ls.id = debls.multilanguageText_id

JOIN DefinedTermBase feature ON feature.id = deb.feature_id

LEFT JOIN Reference r on r.id = osb.citation_id WHERE feature.titleCache LIKE '$Additional Pub%' AND db.

DTYPE like 'TaxonNameDesc%'

#7 - 12/01/2020 02:16 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- Priority changed from New to Priority14

- % Done changed from 20 to 100

#8 - 12/01/2020 04:39 PM - Andreas Miller

Walter, can you have a look after the next release, if this is now all correct?
